List Config Fields
curl --request GET \
--url https://api.duvo.ai/v2/automations/{automation_id}/config-fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.duvo.ai/v2/automations/{automation_id}/config-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.duvo.ai/v2/automations/{automation_id}/config-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sections": [
{
"section": "<string>",
"fields": [
{
"id": "<string>",
"key": "<string>",
"section": "<string>",
"position": 123,
"question": "<string>",
"type": "freeText",
"type_config": {},
"bindings": [
"context"
],
"required": true,
"locked": true,
"fill_mode": "interview",
"value": "<string>",
"default_value": "<string>",
"status": "default",
"provenance": {
"filled_via": "manual",
"filled_by_user_id": "<string>",
"filled_by_name": "<string>",
"filled_at": "<string>",
"source_capture_id": "<string>"
}
}
]
}
],
"filled_count": 123,
"required_count": 123,
"required_filled_count": 123,
"total_count": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Automations
List Config Fields
Read an automation’s module config fields (its Policy), grouped by section in catalog order, with each field’s current value, default, and fill provenance.
GET
/
v2
/
automations
/
{automation_id}
/
config-fields
List Config Fields
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The automation's unique identifier
Response
Default Response
Config fields grouped by section, in catalog order
Show child attributes
Show child attributes
Number of fields that have a value
Number of required fields
Number of required fields that have a value
Total number of fields
Was this page helpful?